package visualization3;

import java.util.Collections;
import java.util.List;

/**
 * 末端のデータ項目に対応するノードです。
 */

public class Item implements Node {
    private String name;
    private MultiVector vector;
    private double area;
    
    /**
     * ノードを作成します。
     * @param name ノード名
     * @param vector ベクトル
     * @param area 面積
     */
    public Item(String name, MultiVector vector, double area) {
        this.name = name;
        this.vector = vector;
        this.area = area;
    }

    /**
     * ノード名を取得します。
     * @return ノード名
     */
    public String getName() {
        return name;
    }

    /**
     * ベクトルを取得します。
     * @return ベクトル
     */
    public MultiVector getVector() {
        return vector;
    }

    public List<MultiVector> getVectors() {
        // ベクトル自身をリスト化して返す
        return Collections.singletonList(vector);
    }

    public double getArea() {
        return area;
    }
}
